/* Loosely based off of the Breeze theme from KDE Plasma 5/6 with a translucent background. */

:root {
    --boymoding: #83a8ff;
    --girlmoding: #de92f5;
}

@media (prefers-color-scheme: light) {
    :root {
        --boymoding: #0d3fb3;
        --girlmoding: #9c00cc;
    }
}

:root {
    --accent: var(--boymoding);
}

body {
    color: #fff;
    background: url("night.jpg");
    background-color: #282828;
    background-blend-mode: overlay;
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
    margin: 50px auto;
    max-width: 80%;
    font-family: "Ubuntu", sans-serif;
    font-size: 18px;
    line-height: 1.8;
}

a {
    color: var(--accent);
}
a:hover,
a:active {
    text-decoration: none;
}

code {
    font-family: "Iosevka", "Ubuntu Mono", monospace;
    color: white;
    background-color: #292C3033;
    border: 1px solid #535659;
    border-radius: 4px;
    padding: 4px 6px;
    margin: 8px 0;
}

blockquote {
    border-left: 4px solid #ffffffaa;
    padding-left: 1rem;
    margin-left: 0;
}

#big {
    font-size: 125%;
}

.badge {
    /* so Chrome doesn't render the Web1-style buttons like crap */
    image-rendering: pixelated;
}

header {
    text-align: center;
}
    
button, select {
    color: white;
    background-color: #292C30;
    border: 1px solid #535659;
    border-bottom-width: 2px;
    border-radius: 4px;
    padding: 8px 6px;
    margin: 8px 0;
    font-size: 15px;
}
button:hover, select:hover {
    border-color: var(--accent)
}
button:active, select:active {
    border-color: var(--accent);
    background-color: color-mix(in srgb, var(--accent), black 60%);
}

.about-me {
    color: white;
    background-color: #202326;
    border: 1px solid #535659;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: auto;
    width: 360px;
    padding: 20px;
    font-size: 15px;
    gap: 10px;
}

#pfp {
    width: 120px;
    border-radius: 100%;
}

#profile {
    width: 100%;
}

.profile-row {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 6px;
    margin: 4px 14px;
}

.profile-row label {
    width: 80px;
    text-align: right;
}

.profile-row select {
    flex: 1;
    margin: 0;
}

.profile-row select:focus {
    outline: none;
}

input[type=text] {
    color: white;
    background-color: #141618;
    border: 1px solid #535659;
    border-radius: 4px;
    padding: 6px 8px;
    font-size: 15px;
    flex: 1; /* makes input expand to available space */
}

input[type=text]:focus {
    border-color: var(--accent);
    outline: none;
}

@media (prefers-color-scheme: light) {
    body {
        color: #000;
        background-color: #e0e0e0;
        background-image: url("day.jpg");
    }
    code {
        color: black;
    }
    button, select, input[type=text] {
        color: black;
        background-color: #FCFCFC;
        border-color: #D1D1D2;
    }
    button:active, select:active {
        background-color: color-mix(in srgb, var(--accent), white 60%);
    }
    .about-me {
        color: black;
        background-color: #EFF0F1;
        border-color: #D1D1D2;
    }
    #github {
        filter: invert(100%);
    }
}

@media (max-width: 500px) {
    .about-me {
        display: block;
        width: auto;
    }
    #profile {
        display: none;
    }
    input[type=text] {
        flex: initial;
    }
}